• Global community
    • Language:
      • Deutsch
      • English
      • Español
      • Français
      • Português
  • 日本語コミュニティ
    Dedicated community for Japanese speakers
  • 한국 커뮤니티
    Dedicated community for Korean speakers

Fehler bei Unterschriftsprüfung / Error when checking signature

New Here ,
Jun 29, 2021 Jun 29, 2021

Copy link to clipboard

Copied

Hallo

 

When trying to check the signature which was assigned via ADS on my pdf document,

I receive the error: internal cryptographic bibliothek failure - failure code 0x2727

In our ADS connection everything looks good and the encryptioning also shows no fialures (log is fine).

We are using SHA384 algorithm, so it should work.

Can you please help me? Can´t find a solution anywhere.

 

Hallo

When ich die über ADS angebrachte Unterschrift auf meinem PDF Dokument prüfe, bzw. prüfen lasse (im Adobe Acrobat Reader DC Version 2021.005.20048), bekomme ich den Fehler:

Fehler bei Unterschriftenprüfung - Interner kryptografischer Bibliotheksfehler. Fehlercode: 0x2727).

Wir verwenden SHA-384 Hash Alorithmus und die Konfiguration der ADS Verbindung ist fehlerfrei.

Bitte um Unterstützung, da ich hier keine Informationen finden kann.

Vielen Dank vorab!

VG

Thomas Ernst

 

TOPICS
PDF forms , Security digital signatures and esignatures

Views

315

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Employee ,
Jun 29, 2021 Jun 29, 2021

Copy link to clipboard

Copied

Hi Thomas

 

Hope you are doing well and sorry for the trouble.

 

Would you mind sharing the version of the Adobe Acrobat /Reader DC you are using? To check the version go to Help > About Acrobat and make sure you have the application updated to version 21.05.20048 Go to Help > Check for updates and reboot the computer.

 

Acrobat now has a new cryptography library - SafeLogic CryptoComply, for digital signatures and protection. The library is enabled by default. However, if you want to use the old library - Dell BSAFE, follow the steps below to disable the new library.

 

1. In Acrobat, go to Edit > Preferences (Windows), or Acrobat > Preferences (macOS).

2. In the categories on the left, choose Security, and then deselect the option Use SafeLogic CryptoComply.

 

Amal_0-1625025967627.png

 

Note: This feature is being rolled out incrementally and may not be available to all users.

 

You may also checkout the similar discussions listed below and see if that helps:

- https://community.adobe.com/t5/acrobat-reader/internal-cryptographic-library-error-error-code-0x2719...

- https://community.adobe.com/t5/acrobat/key-generation-error-internal-cryptographic-library-error/td-...
- https://community.adobe.com/t5/acrobat/error-code-0x2726/m-p/9969656

 

Regards

Amal

 

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
New Here ,
Jun 30, 2021 Jun 30, 2021

Copy link to clipboard

Copied

LATEST

Hello Amal,

 

thanks for your support.

First I can say, that the installed version is: 2021.005.20048

 

I tried the things you wrote me:

-  the option "Use SafeLogic CryptoComply " was already deselected

--> if I "select it" to check vice versa, I get another kryptographic failure (BER Decoding failure).

 

Can you please help me with other hints or recommendations please?

Thanks in advance for your support and best regards

Thomas Ernst

 

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines